import { ContentEntry } from './useContent.model';
import { SearchResult, UseSearchOptions } from './useSearch.model';
export declare function useSearch(options?: UseSearchOptions): {
    clear: () => void;
    hasQuery: import('vue').ComputedRef<boolean>;
    query: import('vue').Ref<string, string>;
    results: import('vue').ComputedRef<SearchResult[]>;
    totalResults: import('vue').ComputedRef<number>;
};
export declare function searchContentEntries(entries: ContentEntry[], query: string, locale: string, limit: number, minQueryLength?: number): SearchResult[];
